Name:           libskindesignerapi
Version:        0.0.1
Release:        4%{?dist}
Summary:        Library which provides the Skindesigner API to other VDR Plugins
Group:          Applications/Multimedia
License:        GPLv2+
URL:            http://projects.vdr-developer.org/projects/plg-skindesigner
# how to extract the source
# wget http://projects.vdr-developer.org/git/vdr-plugin-skindesigner.git/snapshot/vdr-plugin-skindesigner-0.4.0.tar.bz2
# tar xfj vdr-plugin-skindesigner-0.4.0.tar.bz2
# cd vdr-plugin-skindesigner-0.4.0
# tar cfj libskindesignerapi-0.0.1.tar.bz2 libskindesignerapi

Source0:        libskindesignerapi-0.0.1.tar.bz2
BuildRequires:  vdr-devel >= 2.0.0

%description
Library which provides the Skindesigner API to other VDR Plugins.
VDR Plugins using this API are able to use all Skindesigner
facilities to display their OSD representation.

%package devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
Development files for %{name}

%prep
%setup -q -n %{name}
sed -i -e 's|PREFIX ?= /usr/local|PREFIX ?= /usr|g' Makefile
sed -i -e 's|LIBDIR ?= $(PREFIX)/lib|LIBDIR ?= %{_libdir}/|g' Makefile
sed -i -e 's|PCDIR  ?= $(PREFIX)/lib/pkgconfig|PCDIR  ?= %{_libdir}/pkgconfig|g' Makefile

%build
make CFLAGS="%{optflags} -fPIC" CXXFLAGS="%{optflags} -fPIC" %{?_smp_mflags} all

%install
make install DESTDIR=%{buildroot}

# install missing symlink (was giving no-ldconfig-symlink rpmlint errors)
ldconfig -n %{buildroot}%{_libdir}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc README
%license COPYING
%{_libdir}/%{name}.so.*

%files devel
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/%{name}.so
%dir %{_includedir}/%{name}/
%{_includedir}/%{name}/

%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 0.0.1-3
- Rebuilt for GCC 5 C++11 ABI change

* Fri Apr 03 2015 Martin Gansser <martinkg@fedoraproject.org> - 0.0.1-2
- Mark license files as %%license where available
- omitted the -n switch on %%files sectuib
- shrinked %%{_includedir} path
- truncated description lines

* Fri Apr 03 2015 Martin Gansser <martinkg@fedoraproject.org> - 0.0.1-1
- Initial release
